%define	name	libkexiv2
%define	version	0.1.6
## Distribution Specific Release Tag
%define release %mkrel 8
%define	Summary	KDE library to manipulate EXIF/IPTC information using Exiv2 library

%define realname kexiv2

%define	major	3
%define	libname	%mklibname %{realname}_%major
%define	libnamedev %mklibname %{realname} -d
%define	oldlibname_dev %mklibname %{realname} 1 -d

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		System/Libraries
Source0:        http://prdownloads.sourceforge.net/kipi/libkexiv2-%{version}.tar.bz2

URL: 		http://www.kipi-plugins.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-common
BuildRequires:	qt3-devel
BuildRequires:	kdebase-devel
BuildRequires:	libexiv-devel >= 0.12
Conflicts:	%libname < 0.1.6
Requires:	%libname = %version-%release

%description
Libkexiv2 is a wrapper to Exiv2 library that allow to manipulate pictures
metadata as EXIF and IPTC.
This library is used by kipi-plugins, digiKam and others kipi host programs.

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:      %mklibname %{realname}3


%description -n %{libname}

%{libname} contains runtime libraries

%package -n	%{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires: 	%{libname} = %version-%release
Conflicts:      %{mklibname kexiv2 0}
Obsoletes:      %{oldlibname_dev}

%description -n %{libnamedev}

%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.

%prep
%setup -q

%build
make -f Makefile.cvs
%configure2_5x --disable-rpath \
            --disable-debug
%make

%install
rm -rf %buildroot
%makeinstall

%find_lang %name

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(0644,-,-)

%files -n %libname
%defattr(0644, root, root, 0755)
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%defattr(0644, root, root, 0755)
%{_libdir}/pkgconfig/libkexiv2.pc
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Sun Jan 20 2008 Angelo Naselli <anaselli@mandriva.org> 0.1.6-8mdv2008.1
+ Revision: 155304
- removed osoleting old version to allow backporting

* Thu Jan 17 2008 Angelo Naselli <anaselli@mandriva.org> 0.1.6-7mdv2008.1
+ Revision: 154203
- Bump libkexiv21 from server
  Added "_" as separator between name and so major version

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-6mdv2008.1
+ Revision: 141735
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 26 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.6-5mdv2008.1
+ Revision: 138121
- Rebuilt

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 26 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.6-4mdv2008.1
+ Revision: 112023
- Rebuild for new exiv2

* Sun Nov 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.6-3mdv2008.1
+ Revision: 111876
- Rebuild against new libexiv2

* Thu Oct 18 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.6-2mdv2008.1
+ Revision: 99949
- clean up description, thanks to Gilles Caulier

* Thu Oct 11 2007 Funda Wang <fundawang@mandriva.org> 0.1.6-1mdv2008.1
+ Revision: 96974
- New major
- New version 0.1.6

* Mon Jul 09 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.5-4mdv2008.0
+ Revision: 50490
- Updated for new library policy (developer packages)

* Sun Jun 17 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.5-3mdv2008.0
+ Revision: 40613
- Added conflict with old libkexiv20 and libkexiv21-devel due
  to the libkexiv2.la file (for 2007.1 upgrading)

* Thu May 17 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.1.5-2mdv2008.0
+ Revision: 27605
- Moved la files to the right devel subpackage.

* Wed May 16 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.5-1mdv2008.0
+ Revision: 27202
- New version 0.1.5

* Mon May 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.4-1mdv2008.0
+ Revision: 23805
- New Release 0.1.4

* Fri Apr 20 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.2-1mdv2008.0
+ Revision: 16237
- new version 0.1.2


* Sun Mar 04 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-2mdv2007.0
+ Revision: 132340
- rebuilt for new libexiv2

* Sat Feb 24 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-1mdv2007.1
+ Revision: 125441
- readded kdebase-devel
- removed kdebase-devel dependency
- new version 0.1.1

* Wed Feb 14 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.0-2mdv2007.1
+ Revision: 120793
- wrong libname changed
- added right Povides field

* Mon Feb 12 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.0-1mdv2007.1
+ Revision: 118993
- Import libkexiv2

* Mon Feb 12 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.0mdv2007.1
- built mdk version

